Bug 575352 - Review Request: perl-File-Read - Unique interface for reading one or more files
Summary: Review Request: perl-File-Read - Unique interface for reading one or more files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-20 10:47 UTC by Iain Arnell
Modified: 2010-04-09 22:56 UTC (History)
2 users (show)

Fixed In Version: perl-File-Read-0.0801-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-03 04:39:11 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-03-20 10:47:35 UTC
Spec URL: http://iarnell.fedorapeople.org/review/perl-File-Read.spec
SRPM URL: http://iarnell.fedorapeople.org/review/perl-File-Read-0.0801-1.fc14.src.rpm
Description: 
This module mainly proposes functions for reading one or more files, with
different options.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2064444

Comment 1 Chris Weyl 2010-03-20 17:07:46 UTC
There seems to be an example file under eg/, why not throw it in %doc?

Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2064444

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
3ff055404c896280b88356db0995d22b22af101f File-Read-0.0801.tar.gz
3ff055404c896280b88356db0995d22b22af101f File-Read-0.0801.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-File-Read-0.0801-1.fc14.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-File-Read-0.0801-1.fc14.noarch.rpm
perl(File::Read) = 0.0801
perl-File-Read = 0.0801-1.fc14
====> requires for perl-File-Read-0.0801-1.fc14.noarch.rpm
perl(Carp)  
perl(Exporter)  
perl(File::Slurp)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  

=====> perl-File-Read-0.0801-1.fc14.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-File-Read-0.0801-1.fc14.src.rpm
====> requires for perl-File-Read-0.0801-1.fc14.src.rpm
perl(File::Slurp)  
perl(Module::Build)  
perl(Test::Distribution)  
perl(Test::More)  
perl(Test::Portability::Files)  

APPROVED

Comment 2 Iain Arnell 2010-03-21 08:14:11 UTC
New Package CVS Request
=======================
Package Name: perl-File-Read
Short Description: Unique interface for reading one or more files
Owners: iarnell
Branches: F-11 F-12 F-13 EL-4 EL-5
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-03-24 03:29:59 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-03-24 04:19:29 UTC
perl-File-Read-0.0801-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-File-Read-0.0801-2.fc12

Comment 5 Fedora Update System 2010-03-24 04:19:34 UTC
perl-File-Read-0.0801-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-File-Read-0.0801-2.fc13

Comment 6 Fedora Update System 2010-03-24 04:19:39 UTC
perl-File-Read-0.0801-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-File-Read-0.0801-2.fc11

Comment 7 Fedora Update System 2010-03-24 04:19:43 UTC
perl-File-Read-0.0801-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-File-Read-0.0801-2.el5

Comment 8 Fedora Update System 2010-03-24 18:02:27 UTC
perl-File-Read-0.0801-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-Read'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-Read-0.0801-2.el5

Comment 9 Fedora Update System 2010-03-24 23:28:58 UTC
perl-File-Read-0.0801-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-Read'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-Read-0.0801-2.fc12

Comment 10 Fedora Update System 2010-03-24 23:34:36 UTC
perl-File-Read-0.0801-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-Read'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-Read-0.0801-2.fc13

Comment 11 Fedora Update System 2010-03-24 23:37:10 UTC
perl-File-Read-0.0801-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-Read'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-Read-0.0801-2.fc11

Comment 12 Fedora Update System 2010-04-03 04:39:07 UTC
perl-File-Read-0.0801-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-03 04:46:29 UTC
perl-File-Read-0.0801-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-09 04:13:25 UTC
perl-File-Read-0.0801-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-04-09 22:56:30 UTC
perl-File-Read-0.0801-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.